package com.chinacreator.video.restful.bean;

public class BackBusiOrderRec {
	
	 private String id; //ID
	 private String userid; //  USERID
	 private String orderid; // 订单ID，优酷方提供
	 private String province; //  PROVINCE
	 private String area; //AREA
	 private String inserttime; //INSERTTIME
	 private String vipstatus; //赠送会员状态，0成功，1未成功
	 private String busitype; //业务类型，0订购
	 private String cpid;
	 private String spid;
	 private String resultcode; //RESULTCODE
	 private String resultinfo; //RESULTINFO
	 private String channel;
	 private String times;
	 private String retrycount;
	 private String retrytime;
	 private String retrychannel;
	 private String type; //办理类型，0订购，1退订
	 private String endtime; 	//免流结束时间
	 private String starttime; 	//免流开始时间
	 private String vipendtime; //领取会员的最后时间
	 
	private String transid;  //上海权益2元
	private String logid; 	//上海权益2元
	 
	  private String subchannel; //拓维后向渠道标识

	  public String getSubchannel() {
		 return subchannel;
	  }
	  public void setSubchannel(String subchannel) {
		 this.subchannel = subchannel;
	  }
	
	public String getTransid() {
		return transid;
	}
	public void setTransid(String transid) {
		this.transid = transid;
	}
	public String getLogid() {
		return logid;
	}
	public void setLogid(String logid) {
		this.logid = logid;
	}
	public String getVipendtime() {
		return vipendtime;
	}
	public void setVipendtime(String vipendtime) {
		this.vipendtime = vipendtime;
	}
	public String getStarttime() {
		return starttime;
	}
	public void setStarttime(String starttime) {
		this.starttime = starttime;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getRetrycount() {
		return retrycount;
	}
	public void setRetrycount(String retrycount) {
		this.retrycount = retrycount;
	}
	public String getRetrytime() {
		return retrytime;
	}
	public void setRetrytime(String retrytime) {
		this.retrytime = retrytime;
	}
	public String getRetrychannel() {
		return retrychannel;
	}
	public void setRetrychannel(String retrychannel) {
		this.retrychannel = retrychannel;
	}
	public String getChannel() {
		return channel;
	}
	public void setChannel(String channel) {
		this.channel = channel;
	}
	public String getTimes() {
		return times;
	}
	public void setTimes(String times) {
		this.times = times;
	}
	public String getCpid() {
		return cpid;
	}
	public void setCpid(String cpid) {
		this.cpid = cpid;
	}
	public String getSpid() {
		return spid;
	}
	public void setSpid(String spid) {
		this.spid = spid;
	}
	public String getResultcode() {
		return resultcode;
	}
	public void setResultcode(String resultcode) {
		this.resultcode = resultcode;
	}
	public String getResultinfo() {
		return resultinfo;
	}
	public void setResultinfo(String resultinfo) {
		this.resultinfo = resultinfo;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getUserid() {
		return userid;
	}
	public void setUserid(String userid) {
		this.userid = userid;
	}
	public String getOrderid() {
		return orderid;
	}
	public void setOrderid(String orderid) {
		this.orderid = orderid;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getInserttime() {
		return inserttime;
	}
	public void setInserttime(String inserttime) {
		this.inserttime = inserttime;
	}
	public String getVipstatus() {
		return vipstatus;
	}
	public void setVipstatus(String vipstatus) {
		this.vipstatus = vipstatus;
	}
	public String getBusitype() {
		return busitype;
	}
	public void setBusitype(String busitype) {
		this.busitype = busitype;
	}
	public String getEndtime() {
		return endtime;
	}

	public void setEndtime(String endtime) {
		this.endtime = endtime;
	}
}
